import 'package:plugin_platform_interface/plugin_platform_interface.dart';

import 'yundian_alive_method_channel.dart';

abstract class YundianAlivePlatform extends PlatformInterface {
  /// Constructs a YundianAlivePlatform.
  YundianAlivePlatform() : super(token: _token);

  static final Object _token = Object();

  static YundianAlivePlatform _instance = MethodChannelYundianAlive();

  /// The default instance of [YundianAlivePlatform] to use.
  ///
  /// Defaults to [MethodChannelYundianAlive].
  static YundianAlivePlatform get instance => _instance;

  /// Platform-specific implementations should set this with their own
  /// platform-specific class that extends [YundianAlivePlatform] when
  /// they register themselves.
  static set instance(YundianAlivePlatform instance) {
    PlatformInterface.verifyToken(instance, _token);
    _instance = instance;
  }

  Future<String?> getPlatformVersion() {
    throw UnimplementedError('platformVersion() has not been implemented.');
  }


  Future<String?> aliveEncryptAes(Map map) {
    throw UnimplementedError('aliveEncryptAes() has not been implemented.');
  }

  Future<String?> aliveInit(Map map) {
    throw UnimplementedError('aliveInit() has not been implemented.');
  }

  Future<String?> aliveStartDetect(Map map) {
    throw UnimplementedError('aliveStartDetect() has not been implemented.');
  }

  onAliveResultListener(EventHandler onEvent, EventHandler onError) {
    throw UnimplementedError('onAliveResultListener() has not been implemented.');
  }
}
